Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hsqldb
Class Parser

    java.lang.Object
      |
      +--org.hsqldb.Parser

class Parser
extends java.lang.Object

Class declaration

Constructor Summary
`(package private)` | `Parser(Database db, Tokenizer t, Channel channel)` Constructor declaration

Method Summary
`(package private) Result` | `processCall()` Method declaration
`(package private) Result` | `processDelete()` Method declaration
`(package private) Result` | `processInsert()` Method declaration
`(package private) Result` | `processSelect()` Method declaration
`(package private) Result` | `processUpdate()` Method declaration

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Parser

    Parser(Database db,
           Tokenizer t,
           Channel channel)

  Constructor declaration
  Parameters:
    `db` -
    `t` -
    `channel` -

Method Detail

### processSelect

    Result processSelect()
                   throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### processCall

    Result processCall()
                 throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### processUpdate

    Result processUpdate()
                   throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### processDelete

    Result processDelete()
                   throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

### processInsert

    Result processInsert()
                   throws java.sql.SQLException

  Method declaration
  Returns:
  Throws:
    java.sql.SQLException -

Package | Class | Tree | Deprecated
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD